#
# spec file for package perl-RRD-Simple
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%bcond_with pod

Name:           perl-RRD-Simple
%define cpan_name RRD-Simple
Summary:        Simple interface to create and store data in RRD files
Version:        1.44
Release:        9.22
License:        Apache License v2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/RRD-Simple/
#Source:         http://www.cpan.org/modules/by-module/RRD/RRD-Simple-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl(Module::Build)
BuildRequires:  perl-macros
%if %{with pod}
BuildRequires:  perl(Test::Pod) >= 1.20
BuildRequires:  perl(Test::Pod::Coverage) >= 1.06
%endif
BuildRequires:  perl(Carp)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(RRDs)
BuildRequires:  perl(Test::Deep) >= 0.093
#
Requires:       perl(Carp)
Requires:       perl(File::Basename)
Requires:       perl(File::Copy)
Requires:       perl(File::Spec)
Requires:       perl(File::Temp)
Requires:       perl(POSIX)
Requires:       perl(RRDs)

%description
RRD::Simple provides a simple interface to RRDTool's RRDs module. This module
does not currently offer a fetch method that is available in the RRDs module.

It does however create RRD files with a sensible set of default RRA (Round
Robin Archive) definitions, and can dynamically add new data source names to an
existing RRD file.

This module is ideal for quick and simple storage of data within an RRD file if
you do not need to, nor want to, bother defining custom RRA definitions.

%package doc
Summary:        Example files and additional documentation for %{name}
Group:          Development/Libraries/Perl
Requires:       %{name} = %{version}

%description doc
This package contains additional documentation and a hughe set of examples.

%prep
%setup -q -n %{cpan_name}-%{version}
# disable failing test
%{__mv} t/32exported_function_interface.t t/32exported_function_interface.tdis
# hmm FIXME: not failing on 11.2
%if 0%{?suse_version} < 1120 || 0%{?suse_version} > 1120
  %{__mv} t/23graph.t t/23graph.tdis
%endif

%build
export SUSE_ASNEEDED=0
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
export SUSE_ASNEEDED=0
./Build test

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes LICENSE NOTICE README

%files doc
%defattr(-, root, root)
%doc complain.txt TODO examples

%changelog
* Wed Nov  9 2011 pascal.bleser@opensuse.org
- don't Recommend Test::Deep, not used in any of the runtime files
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Oct 17 2010 chris@computersalat.de
- recreated by cpanspec 1.78
  o fix deps
- noarch pkg
- remove site_perl patch
* Mon Dec 14 2009 lars@linux-schulserver.de
- initial version 1.44
